package View.Panels;

import java.awt.BorderLayout;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.SwingConstants;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 29.05.2017.
 */
public class MenuPanel extends JPanel {

  private JMenuBar menuBar;
  private JMenu menu;
  private JMenuItem item;

  public MenuPanel() {
    this.setLayout(new BorderLayout());
    this.menuBar = new JMenuBar();
    this.menu = new JMenu("File");

    this.item = new JMenuItem("Exit");
    this.item.addActionListener(e -> {
      System.exit(0);
    });

    menu.add(item);
    menuBar.add(menu);
    this.add(menuBar, BorderLayout.WEST);
    this.add(new JSeparator(SwingConstants.HORIZONTAL), BorderLayout.SOUTH);
  }
}
